petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatSetLocalToGlobalMapping

Sets a local-to-global numbering for use by the routine MatSetValuesLocal() to allow users to insert matrix entries using a local (per-processor) numbering.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetLocalToGlobalMapping(Mat x,ISLocalToGlobalMapping rmapping,ISLocalToGlobalMapping cmapping)

Not Collective Many br

### Input Parameters

| x | - the matrix Many br
| rmapping | - row mapping created with ISLocalToGlobalMappingCreate() or ISLocalToGlobalMappingCreateIS() Many br
| cmapping | - column mapping Many br

Many br

### See Also

MatAssemblyBegin(), MatAssemblyEnd(), MatSetValues(), MatSetValuesLocal()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex48.c.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/bound/examples/tutorials/plate2f.F.html